Package org.opensaml.saml.saml1.core

# Interface AuthorizationDecisionQuery

All Superinterfaces:
  `Query`, `SAMLObject`, `SubjectQuery`, `XMLObject`

All Known Implementing Classes:
  `AuthorizationDecisionQueryImpl`

public interface AuthorizationDecisionQuery extends SubjectQuery
Description of the behaviour of the `AuthorizationDecisionQuery` element.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element name, no namespace.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`RESOURCE_ATTRIB_NAME`
AuthenticationMethod attribute name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`List<Action>`
`getActions()`
Get list of Action child elements.
`Evidence`
`getEvidence()`
Get the Evidence child element.
`String`
`getResource()`
Get Resource attribute.
`void`
`setEvidence(Evidence evidence)`
Set the Evidence child element.
`void`
`setResource(String resource)`
Set Resource attribute.

### Methods inherited from interface org.opensaml.saml.saml1.core.SubjectQuery

`getSubject, setSubject`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element name, no namespace.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### RESOURCE_ATTRIB_NAME

@Nonnull @NotEmpty static final String RESOURCE_ATTRIB_NAME
AuthenticationMethod attribute name.

See Also:
  - Constant Field Values

## Method Details

### getResource

@Nullable String getResource()
Get Resource attribute.

Returns:
  Resource attribute

### setResource

void setResource(@Nullable String resource)
Set Resource attribute.

Parameters:
  `resource` - Resource attribute to set

### getActions

@Nonnull @Live List<Action> getActions()
Get list of Action child elements.

Returns:
  Action list

### getEvidence

@Nullable Evidence getEvidence()
Get the Evidence child element.

Returns:
  Evidence child element

### setEvidence

void setEvidence(@Nullable Evidence evidence)
Set the Evidence child element.

Parameters:
  `evidence` - child element to set